/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.gui;

import org.jdesktop.application.Action;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class AboutBox extends javax.swing.JDialog {

	private static final long serialVersionUID = 1L;

	public AboutBox(java.awt.Frame parent) {
		super(parent);
		initComponents();
		getRootPane().setDefaultButton(closeButton);
	}

	@Action
	public void closeAboutBox() {
		setVisible(false);
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	// <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		closeButton = new javax.swing.JButton();
		javax.swing.JLabel appTitleLabel = new javax.swing.JLabel();
		javax.swing.JLabel versionLabel = new javax.swing.JLabel();
		javax.swing.JLabel appVersionLabel = new javax.swing.JLabel();
		javax.swing.JLabel vendorLabel = new javax.swing.JLabel();
		javax.swing.JLabel appVendorLabel = new javax.swing.JLabel();
		javax.swing.JLabel homepageLabel = new javax.swing.JLabel();
		javax.swing.JLabel appHomepageLabel = new javax.swing.JLabel();
		javax.swing.JLabel appDescLabel = new javax.swing.JLabel();
		javax.swing.JLabel imageLabel = new javax.swing.JLabel();
		javax.swing.JLabel homepageLabel1 = new javax.swing.JLabel();
		javax.swing.JLabel appHomepageLabel1 = new javax.swing.JLabel();

		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application
		        .getInstance(kgrid.client.gui.App.class).getContext()
		        .getResourceMap(AboutBox.class);
		setTitle(resourceMap.getString("title")); // NOI18N
		setModal(true);
		setName("aboutBox"); // NOI18N
		setResizable(false);

		javax.swing.ActionMap actionMap = org.jdesktop.application.Application
		        .getInstance(kgrid.client.gui.App.class).getContext().getActionMap(
		                AboutBox.class, this);
		closeButton.setAction(actionMap.get("closeAboutBox")); // NOI18N
		closeButton.setName("closeButton"); // NOI18N

		appTitleLabel.setFont(appTitleLabel.getFont().deriveFont(
		        appTitleLabel.getFont().getStyle() | java.awt.Font.BOLD,
		        appTitleLabel.getFont().getSize() + 4));
		appTitleLabel.setText(resourceMap.getString("Application.title")); // NOI18N
		appTitleLabel.setName("appTitleLabel"); // NOI18N

		versionLabel.setFont(versionLabel.getFont().deriveFont(
		        versionLabel.getFont().getStyle() | java.awt.Font.BOLD));
		versionLabel.setText(resourceMap.getString("versionLabel.text")); // NOI18N
		versionLabel.setName("versionLabel"); // NOI18N

		appVersionLabel.setText(resourceMap.getString("Application.version")); // NOI18N
		appVersionLabel.setName("appVersionLabel"); // NOI18N

		vendorLabel.setFont(vendorLabel.getFont().deriveFont(
		        vendorLabel.getFont().getStyle() | java.awt.Font.BOLD));
		vendorLabel.setText(resourceMap.getString("vendorLabel.text")); // NOI18N
		vendorLabel.setName("vendorLabel"); // NOI18N

		appVendorLabel.setText(resourceMap.getString("Application.vendor")); // NOI18N
		appVendorLabel.setName("appVendorLabel"); // NOI18N

		homepageLabel.setFont(homepageLabel.getFont().deriveFont(
		        homepageLabel.getFont().getStyle() | java.awt.Font.BOLD));
		homepageLabel.setText(resourceMap.getString("homepageLabel.text")); // NOI18N
		homepageLabel.setName("homepageLabel"); // NOI18N

		appHomepageLabel.setText(resourceMap.getString("Application.homepage")); // NOI18N
		appHomepageLabel.setName("appHomepageLabel"); // NOI18N

		appDescLabel.setText(resourceMap.getString("appDescLabel.text")); // NOI18N
		appDescLabel.setName("appDescLabel"); // NOI18N

		imageLabel.setIcon(resourceMap.getIcon("imageLabel.icon")); // NOI18N
		imageLabel.setName("imageLabel"); // NOI18N

		homepageLabel1.setFont(homepageLabel1.getFont().deriveFont(
		        homepageLabel1.getFont().getStyle() | java.awt.Font.BOLD));
		homepageLabel1.setText(resourceMap.getString("homepageLabel1.text")); // NOI18N
		homepageLabel1.setName("homepageLabel1"); // NOI18N

		appHomepageLabel1.setText(resourceMap
		        .getString("appHomepageLabel1.text")); // NOI18N
		appHomepageLabel1.setName("appHomepageLabel1"); // NOI18N

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(
		        getContentPane());
		getContentPane().setLayout(layout);
		layout
		        .setHorizontalGroup(layout
		                .createParallelGroup(
		                        javax.swing.GroupLayout.Alignment.LEADING)
		                .addGroup(
		                        layout
		                                .createSequentialGroup()
		                                .addComponent(imageLabel)
		                                .addPreferredGap(
		                                        javax.swing.LayoutStyle.ComponentPlacement.RELATED)
		                                .addGroup(
		                                        layout
		                                                .createParallelGroup(
		                                                        javax.swing.GroupLayout.Alignment.LEADING)
		                                                .addComponent(
		                                                        appTitleLabel)
		                                                .addComponent(
		                                                        appDescLabel,
		                                                        javax.swing.GroupLayout.PREFERRED_SIZE,
		                                                        270,
		                                                        Short.MAX_VALUE)
		                                                .addComponent(
		                                                        closeButton,
		                                                        javax.swing.GroupLayout.Alignment.TRAILING)
		                                                .addGroup(
		                                                        layout
		                                                                .createSequentialGroup()
		                                                                .addGroup(
		                                                                        layout
		                                                                                .createParallelGroup(
		                                                                                        javax.swing.GroupLayout.Alignment.LEADING)
		                                                                                .addComponent(
		                                                                                        versionLabel)
		                                                                                .addComponent(
		                                                                                        vendorLabel)
		                                                                                .addComponent(
		                                                                                        homepageLabel)
		                                                                                .addComponent(
		                                                                                        homepageLabel1))
		                                                                .addPreferredGap(
		                                                                        javax.swing.LayoutStyle.ComponentPlacement.RELATED)
		                                                                .addGroup(
		                                                                        layout
		                                                                                .createParallelGroup(
		                                                                                        javax.swing.GroupLayout.Alignment.LEADING)
		                                                                                .addComponent(
		                                                                                        appHomepageLabel1)
		                                                                                .addComponent(
		                                                                                        appVersionLabel)
		                                                                                .addComponent(
		                                                                                        appVendorLabel)
		                                                                                .addComponent(
		                                                                                        appHomepageLabel))))
		                                .addContainerGap()));
		layout
		        .setVerticalGroup(layout
		                .createParallelGroup(
		                        javax.swing.GroupLayout.Alignment.LEADING)
		                .addGroup(
		                        layout
		                                .createSequentialGroup()
		                                .addGroup(
		                                        layout
		                                                .createParallelGroup(
		                                                        javax.swing.GroupLayout.Alignment.LEADING)
		                                                .addGroup(
		                                                        layout
		                                                                .createSequentialGroup()
		                                                                .addContainerGap()
		                                                                .addComponent(
		                                                                        appTitleLabel)
		                                                                .addPreferredGap(
		                                                                        javax.swing.LayoutStyle.ComponentPlacement.RELATED)
		                                                                .addComponent(
		                                                                        appDescLabel)
		                                                                .addPreferredGap(
		                                                                        javax.swing.LayoutStyle.ComponentPlacement.RELATED)
		                                                                .addGroup(
		                                                                        layout
		                                                                                .createParallelGroup(
		                                                                                        javax.swing.GroupLayout.Alignment.BASELINE)
		                                                                                .addComponent(
		                                                                                        versionLabel)
		                                                                                .addComponent(
		                                                                                        appVersionLabel))
		                                                                .addPreferredGap(
		                                                                        javax.swing.LayoutStyle.ComponentPlacement.RELATED)
		                                                                .addGroup(
		                                                                        layout
		                                                                                .createParallelGroup(
		                                                                                        javax.swing.GroupLayout.Alignment.BASELINE)
		                                                                                .addComponent(
		                                                                                        vendorLabel)
		                                                                                .addComponent(
		                                                                                        appVendorLabel))
		                                                                .addPreferredGap(
		                                                                        javax.swing.LayoutStyle.ComponentPlacement.RELATED)
		                                                                .addGroup(
		                                                                        layout
		                                                                                .createParallelGroup(
		                                                                                        javax.swing.GroupLayout.Alignment.BASELINE)
		                                                                                .addComponent(
		                                                                                        homepageLabel)
		                                                                                .addComponent(
		                                                                                        appHomepageLabel))
		                                                                .addPreferredGap(
		                                                                        javax.swing.LayoutStyle.ComponentPlacement.RELATED)
		                                                                .addGroup(
		                                                                        layout
		                                                                                .createParallelGroup(
		                                                                                        javax.swing.GroupLayout.Alignment.BASELINE)
		                                                                                .addComponent(
		                                                                                        homepageLabel1)
		                                                                                .addComponent(
		                                                                                        appHomepageLabel1)))
		                                                .addComponent(
		                                                        imageLabel))
		                                .addContainerGap(27, Short.MAX_VALUE))
		                .addGroup(
		                        javax.swing.GroupLayout.Alignment.TRAILING,
		                        layout.createSequentialGroup().addContainerGap(
		                                170, Short.MAX_VALUE).addComponent(
		                                closeButton).addContainerGap()));

		pack();
	}// </editor-fold>//GEN-END:initComponents

	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JButton closeButton;
	// End of variables declaration//GEN-END:variables

}
