/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.gui;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.EventObject;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 *         http://stackoverflow.com/questions
 *         /4047144/a-windowclosing-event-for-a-java-jdesktop-frameview
 */
public class App extends SingleFrameApplication {

	/**
	 * At startup create and show the main frame of the application.
	 */
	@Override
	protected void startup() {

		addExitListener(new ExitListener() {

			public boolean canExit(EventObject event) {
				return false;
			}

			public void willExit(EventObject event) {
			}
		});
		show(new View(this));
	}

	/**
	 * This method is to initialize the specified window by injecting resources.
	 * Windows shown in our application come fully initialized from the GUI
	 * builder, so this additional configuration is not needed.
	 */
	@Override
	protected void configureWindow(java.awt.Window root) {

	}

	/**
	 * A convenient static getter for the application instance.
	 * 
	 * @return the instance of KGridClientApp
	 */
	public static App getApplication() {
		return Application.getInstance(App.class);
	}

	/**
	 * Main method launching the application.
	 */
	public static void main(String[] args) {
		try {
			kgrid.client.gui.Utils.print("Started on host "
					+ InetAddress.getLocalHost().getHostName());
		} catch (UnknownHostException e) {
			e.printStackTrace();
		}
		launch(App.class, args);
	}
}
