/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.gui;

import java.io.File;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public interface Consts {

	public static final String SERVICE_ACRONYM = "DIS3GNO";

	public static final String RES_DIR = "res";
	public static final String RES_PATH = System.getProperty("user.dir")
			+ File.separator + RES_DIR + File.separator;

	public static final int FRAME_MINWIDTH = 800;
	public static final int FRAME_MINHEIGHT = 700;

	public static final int WRKFLW_TABPANE_MINWIDTH = 105; // 700
	public static final int WRKFLW_TABPANE_MINHEIGHT = 500;

	public static final int WRKFLW_PANEL_MINWIDTH = 105; // 700
	public static final int WRKFLW_PANEL_MINHEIGHT = 500;

	public static final int SHRINK_PIXELS = 200;

}
