/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.gui;

import java.awt.Component;
import java.util.EventObject;

import javax.swing.JTable;
import javax.swing.event.CellEditorListener;
import javax.swing.table.TableCellEditor;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class EmptyTableCellEditor implements TableCellEditor {

    @Override
    public Component getTableCellEditorComponent(JTable table, Object value,
	    boolean isSelected, int row, int column) {
	return null;
    }

    @Override
    public void addCellEditorListener(CellEditorListener arg0) {

    }

    @Override
    public void cancelCellEditing() {

    }

    @Override
    public Object getCellEditorValue() {
	return null;
    }

    @Override
    public boolean isCellEditable(EventObject arg0) {
	return false;
    }

    @Override
    public void removeCellEditorListener(CellEditorListener arg0) {

    }

    @Override
    public boolean shouldSelectCell(EventObject arg0) {
	return false;
    }

    @Override
    public boolean stopCellEditing() {
	return false;
    }

}
