/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.client.workflow;

import org.jdom.Namespace;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public interface Consts {

	// Nodes info statuses

	final static int NOINFO = 0;
	final static int LOCATION_SET = 1;
	final static int UNAVAILABLE = 2;
	final static int KDSURL_SET = 8;
	final static int SEARCHP_SET = 9;

	// Nodes running statuses

	final static int NOT_FOUND = 10;
	final static int MATCHED = 20;
	final static int RUNNING = 30;
	final static int FAILED = 40;
	final static int DONE = 50;

	// Nodes types

	static final int DATASET_TYPE = 0;
	static final int TOOL_TYPE = 1;
	static final int MODEL_TYPE = 2;

	// Connection types

	static final boolean[][] CONNECTION_ALLOWED = { { true, true, false },
			{ true, false, true }, { false, true, true } };

	// Nodes size

	static final int BOUND_SIZE = 50;

	// Common properties names

	static final String PKDS = "KDS URL";
	static final String KDSURL_PREFIX = "kds://";
	static final String PNAME = "Name";

	// DatasetNode properties names

	static final String PTYPE = "Type";
	static final String PSTYPE = "SubType";
	static final String PSIZE = "Size";
	static final String PASEP = "AttributeSeparatorString";
	static final String PRSEP = "RecordSeparatorString";
	static final String PUTOK = "UnknownTokenString";
	static final String PATTR = "Attributes";
	static final String PARAM = "Parameters";
	static final String ATTRNAME = "*** Attribute name";

	// ToolNode properties names

	static final String PKDATA = "KindOfData";
	static final String PKSOFT = "KindOfSoftware";
	static final String PHOST = "HostName";
	static final String PARGS = "Args";

	// ModelNode properties names

	static final String LOCATION = "Location";
	static final String PRES = "Results";

	// Edge labels

	static final String MODEL = "model";
	static final String TRANSFER = "transfer";
	static final String DATASET = "dataset";
	static final String TRAIN = "train";
	static final String TEST = "test";

	// Workflow variables

	static final String DEFAULT_FILE_NAME = "Untitled";
	static final String TEMP_FILE_NAME = "temp.xml";
	static final Namespace NAMESPACE = Namespace
			.getNamespace("http://graphml.graphdrawing.org/xmlns/graphml");

}
