package kgrid.client.workflow;

import org.jdom.Element;

/**
 * 
 * Dummy class, used for sorting the graph elements before saving them into the
 * XML inside the saveToFile method of the {@link Workflow} class, putting first
 * all nodes and then all edges as required by the EPMS service.
 * 
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 * 
 */
public class GraphElement extends Element implements Comparable<GraphElement> {

	private static final long serialVersionUID = 1L;
	private String id;

	public String getId() {
		return id;
	}

	public GraphElement(String type, String id) {
		super(type);
		this.id = id;
	}

	@Override
	public int compareTo(GraphElement gElem) {
		if (id.startsWith("n") && gElem.id.startsWith("e")) {
			return -1;
		} else if (id.startsWith("e") && gElem.id.startsWith("n")) {
			return 1;
		}
		int idNumber = Integer.parseInt(id.substring(1));
		int gElemIdNumber = Integer.parseInt(gElem.id.substring(1));
		return idNumber - gElemIdNumber;
	}

}
